surf_util 1.0.1
surf_util: ^1.0.1 copied to clipboard

A library with set of common classes and utilities.

Surf Util #

Build Status Coverage Status Pub Version Pub Likes Pub popularity Flutter Platform

This package is part of the SurfGear toolkit made by Surf.

About #

A library with set of common classes and utilities used in different modules

Main classes #

  1. Bitmask - A generic implementation of the Bitmask type
  2. Enum - Java-like enum
  3. Transformable - Base class for transformation
  4. DisableOverscroll - Prevent glowing when scrolling over the edge

Installation #

Add surf_util to your pubspec.yaml file:

dependencies:
  surf_util: ^1.0.0

You can use both stable and dev versions of the package listed above in the badges bar.

Changelog #

All notable changes to this project will be documented in this file.

Issues #

For issues, file directly in the main SurfGear repo.

Contribute #

If you would like to contribute to the package (e.g. by improving the documentation, solving a bug or adding a cool new feature), please review our contribution guide first and send us your pull request.

Your PRs are always welcome.

How to reach us #

Please feel free to ask any questions about this package. Join our community chat on Telegram. We speak English and Russian.

Telegram

License #

Apache License, Version 2.0

5
likes
120
pub points
78%
popularity

Publisher

surf.ru

A library with set of common classes and utilities.

Repository (missing)
View/report issues

Documentation

API reference

License

Apache-2.0 (LICENSE)

Dependencies

flutter

More

Packages that depend on surf_util